import { ElementRef, EventEmitter } from '@angular/core';
import { OverlayService } from '@aztrix/components/overlay';
import { ProfileService } from '@aztrix/sdk';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AccountComponent {
    billing: boolean;
    contacts: boolean;
    settings: boolean;
    backendUrl: BehaviorSubject<string>;
    private _elementRef;
    private _overlay;
    private _profile;
    logout: EventEmitter<void>;
    myProfile$: import("rxjs").Observable<import("@aztrix/sdk").ProfileRepresentation>;
    title$: import("rxjs").Observable<string | undefined>;
    description$: import("rxjs").Observable<string | undefined>;
    avatar$: import("rxjs").Observable<string>;
    constructor(billing: boolean, contacts: boolean, settings: boolean, backendUrl: BehaviorSubject<string>, _elementRef: ElementRef, _overlay: OverlayService, _profile: ProfileService);
    openFeedbackModal(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccountComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccountComponent, "ax-account", never, {}, { "logout": "logout"; }, never, ["*"], false, never>;
}
